> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itspropel.com/llms.txt.
> For full documentation content, see https://docs.itspropel.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itspropel.com/_mcp/server.

# Stripe Webhook

POST https://payment-processing/webhooks/stripe
Content-Type: application/json

Reference: https://docs.itspropel.com/propel-biz/22-payment-processing/22-payment-processing-webhooks/stripe-webhook

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: PropelBiz
  version: 1.0.0
paths:
  /payment-processing/webhooks/stripe:
    post:
      operationId: stripe-webhook
      summary: Stripe Webhook
      tags:
        - >-
          subpackage_22PaymentProcessing.subpackage_22PaymentProcessing/22PaymentProcessingWebhooks
      parameters:
        - name: Stripe-Signature
          in: header
          description: 'Required: Stripe webhook signature header'
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/22 PaymentProcessing_22 PaymentProcessing
                  > Webhooks_Stripe Webhook_Response_200
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                data:
                  $ref: >-
                    #/components/schemas/PaymentProcessingWebhooksStripePostRequestBodyContentApplicationJsonSchemaData
                type:
                  type: string
              required:
                - id
                - data
                - type
servers:
  - url: https:/
components:
  schemas:
    PaymentProcessingWebhooksStripePostRequestBodyContentApplicationJsonSchemaDataObjectMetadata:
      type: object
      properties:
        tenant_id:
          type: string
        invoice_id:
          type: string
      required:
        - tenant_id
        - invoice_id
      title: >-
        PaymentProcessingWebhooksStripePostRequestBodyContentApplicationJsonSchemaDataObjectMetadata
    PaymentProcessingWebhooksStripePostRequestBodyContentApplicationJsonSchemaDataObject:
      type: object
      properties:
        id:
          type: string
        amount:
          type: integer
        status:
          type: string
        currency:
          type: string
        metadata:
          $ref: >-
            #/components/schemas/PaymentProcessingWebhooksStripePostRequestBodyContentApplicationJsonSchemaDataObjectMetadata
      required:
        - id
        - amount
        - status
        - currency
        - metadata
      title: >-
        PaymentProcessingWebhooksStripePostRequestBodyContentApplicationJsonSchemaDataObject
    PaymentProcessingWebhooksStripePostRequestBodyContentApplicationJsonSchemaData:
      type: object
      properties:
        object:
          $ref: >-
            #/components/schemas/PaymentProcessingWebhooksStripePostRequestBodyContentApplicationJsonSchemaDataObject
      required:
        - object
      title: >-
        PaymentProcessingWebhooksStripePostRequestBodyContentApplicationJsonSchemaData
    22 PaymentProcessing_22 PaymentProcessing > Webhooks_Stripe Webhook_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: >-
        22 PaymentProcessing_22 PaymentProcessing > Webhooks_Stripe
        Webhook_Response_200

```

## SDK Code Examples

```python
import requests

url = "https://https/payment-processing/webhooks/stripe"

payload = {
    "id": "evt_test_123",
    "data": { "object": {
            "id": "pi_test_123",
            "amount": 10000,
            "status": "succeeded",
            "currency": "usd",
            "metadata": {
                "tenant_id": "1",
                "invoice_id": "1"
            }
        } },
    "type": "payment_intent.succeeded"
}
headers = {
    "Stripe-Signature": "t=1234567890,v1=signature_hash",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://https/payment-processing/webhooks/stripe';
const options = {
  method: 'POST',
  headers: {
    'Stripe-Signature': 't=1234567890,v1=signature_hash',
    'Content-Type': 'application/json'
  },
  body: '{"id":"evt_test_123","data":{"object":{"id":"pi_test_123","amount":10000,"status":"succeeded","currency":"usd","metadata":{"tenant_id":"1","invoice_id":"1"}}},"type":"payment_intent.succeeded"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://https/payment-processing/webhooks/stripe"

	payload := strings.NewReader("{\n  \"id\": \"evt_test_123\",\n  \"data\": {\n    \"object\": {\n      \"id\": \"pi_test_123\",\n      \"amount\": 10000,\n      \"status\": \"succeeded\",\n      \"currency\": \"usd\",\n      \"metadata\": {\n        \"tenant_id\": \"1\",\n        \"invoice_id\": \"1\"\n      }\n    }\n  },\n  \"type\": \"payment_intent.succeeded\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Stripe-Signature", "t=1234567890,v1=signature_hash")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://https/payment-processing/webhooks/stripe")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Stripe-Signature"] = 't=1234567890,v1=signature_hash'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"id\": \"evt_test_123\",\n  \"data\": {\n    \"object\": {\n      \"id\": \"pi_test_123\",\n      \"amount\": 10000,\n      \"status\": \"succeeded\",\n      \"currency\": \"usd\",\n      \"metadata\": {\n        \"tenant_id\": \"1\",\n        \"invoice_id\": \"1\"\n      }\n    }\n  },\n  \"type\": \"payment_intent.succeeded\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://https/payment-processing/webhooks/stripe")
  .header("Stripe-Signature", "t=1234567890,v1=signature_hash")
  .header("Content-Type", "application/json")
  .body("{\n  \"id\": \"evt_test_123\",\n  \"data\": {\n    \"object\": {\n      \"id\": \"pi_test_123\",\n      \"amount\": 10000,\n      \"status\": \"succeeded\",\n      \"currency\": \"usd\",\n      \"metadata\": {\n        \"tenant_id\": \"1\",\n        \"invoice_id\": \"1\"\n      }\n    }\n  },\n  \"type\": \"payment_intent.succeeded\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://https/payment-processing/webhooks/stripe', [
  'body' => '{
  "id": "evt_test_123",
  "data": {
    "object": {
      "id": "pi_test_123",
      "amount": 10000,
      "status": "succeeded",
      "currency": "usd",
      "metadata": {
        "tenant_id": "1",
        "invoice_id": "1"
      }
    }
  },
  "type": "payment_intent.succeeded"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'Stripe-Signature' => 't=1234567890,v1=signature_hash',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://https/payment-processing/webhooks/stripe");
var request = new RestRequest(Method.POST);
request.AddHeader("Stripe-Signature", "t=1234567890,v1=signature_hash");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"id\": \"evt_test_123\",\n  \"data\": {\n    \"object\": {\n      \"id\": \"pi_test_123\",\n      \"amount\": 10000,\n      \"status\": \"succeeded\",\n      \"currency\": \"usd\",\n      \"metadata\": {\n        \"tenant_id\": \"1\",\n        \"invoice_id\": \"1\"\n      }\n    }\n  },\n  \"type\": \"payment_intent.succeeded\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Stripe-Signature": "t=1234567890,v1=signature_hash",
  "Content-Type": "application/json"
]
let parameters = [
  "id": "evt_test_123",
  "data": ["object": [
      "id": "pi_test_123",
      "amount": 10000,
      "status": "succeeded",
      "currency": "usd",
      "metadata": [
        "tenant_id": "1",
        "invoice_id": "1"
      ]
    ]],
  "type": "payment_intent.succeeded"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://https/payment-processing/webhooks/stripe")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```